/*
	Skelton for Z-80 PC Emulator

	Author : Takeda.Toshiya
	Date   : 2004.04.26 -

	[ Device Base Class ]
*/
//  ١ˤߤٹ(ά)ΤǤ

#ifndef P6DEVICE_H_INCLUDED
#define P6DEVICE_H_INCLUDED

#include "pc6001v.h"
#include "pc60.h"

// ɸǥХ
class P6DEVICE {
public:
	typedef DWORD P6ID;
	
protected:
	VM6* vm;
	P6ID p6id;		// ǥХID
	
public:
	P6DEVICE( VM6* parent_vm, const P6ID& id ) : vm( parent_vm ), p6id( id ){}
	virtual ~P6DEVICE(){}
	
	const P6ID& GetID() const { return p6id; }
};


// ٥եǥХ
class P6DEVENT : public P6DEVICE {
public:
	P6DEVENT( VM6* parent_vm, const P6ID& id ) : P6DEVICE( parent_vm, id ){}	// 󥹥ȥ饯
	virtual ~P6DEVENT(){};						// ǥȥ饯
	
	virtual void EventCallback( int, int ){}	// ٥ȥХåؿ
};


#endif		// P6DEVICE_H_INCLUDED
