#ifndef PD8049_H_INCLUDED
#define PD8049_H_INCLUDED

#include "pc6001v.h"
#include "ini.h"

#include "p6device.h"


// CMTơ
#define	CMTCLOSE	(0)
#define	LOADOPEN	(1)
#define	SAVEOPEN	(2)

// I/Oݡֹ
#define	IO8049_BUS	(0x00)	/* Хݡ */
#define	IO8049_P1	(0x01)	/* Port1 */
#define	IO8049_P2	(0x02)	/* Port2 */
#define	IO8049_T0	(0x03)	/* T0(OUT) */
#define	IO8049_INT	(0x04)	/* ~INT(IN) */


////////////////////////////////////////////////////////////////
// 饹
////////////////////////////////////////////////////////////////
class SUB6 : public P6DEVENT, public IDoko {
private:
	int CmtStatus;						// CMTơ
	int Status8049;						// 8049ươ
	
	DWORD IntrFlag;						// ׵ե饰
	
	BYTE KeyCode;						// ()
	BYTE JoyCode;						// ѥ()
	BYTE CmtData;						// CMT꡼ɥǡ()
	BYTE SioData;						// RS232Cǡ()
	
	// I/Oݡȥ
	BYTE ReadIO( int );
	void WriteIO( int, BYTE );
	
	// ꥢ
	void WriteExt( BYTE );				// (8255PortA)
	BYTE ReadExt();						// (8255PortA)
	
	BOOL GetT0();						// ƥ0ơ
	BOOL GetT1();						// ƥ1ơ
	BOOL GetINT();						// ߥơ
	
	void OutVector();					// ߥ٥
	void OutData()	;					// ߥǡ
	
	
public:
	SUB6( VM6 *, const P6ID& );			// 󥹥ȥ饯
	~SUB6();							// ǥȥ饯
	
	void EventCallback( int, int );		// ٥ȥХåؿ
	
	BOOL Init( void );					// 
	void Reset();						// ꥻå
	
	// ܡɴϢ
	void ReqKeyIntr( int, BYTE );		// ׵
	void ReqJoyIntr();					// ѥ׵
	
	// CMTϢ
	void ReqCmtIntr( BYTE );			// CMT READ׵
	int GetCmtStatus();					// CMTơ
	BOOL IsCmtIntrReady();				// CMTȯ?
	
	void ExtIntr();						// ׵
	
	// ------------------------------------------
	BOOL DokoSave( cIni * );	// ɤǤSAVE
	BOOL DokoLoad( cIni * );	// ɤǤLOAD
	// ------------------------------------------
};


#endif	// PD8049_H_INCLUDED
